/** @format */

import React from 'react';
import { createRoot } from 'react-dom/client';
import { Toaster } from 'react-hot-toast';
import { BoxDialer } from './lib/boxDIaler';
import './index.css';
import ControlRenderBX from './lib/controlRenderBX';
import LanguageController from './lib/languageController';
window.BoxDialer = new BoxDialer();

const container = document.getElementById('boxdialerwidjet');
const root = createRoot(container);

root.render(
	<React.StrictMode>
		<LanguageController>
			<Toaster />
			<ControlRenderBX />
		</LanguageController>
	</React.StrictMode>,
);
